Skip to content

Get order history summary by customer order ID

GET
/v1/orders/history/summary/customerorderid/{customerOrderId}

An order is considered completed when the Order Status call returns one of the following statuses: Filled, Cancelled or Failed. When this happens, you can get a more detailed summary about this order using this call. Orders that are not completed are invalid for this request.

Authorizations

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters

Path Parameters

customerOrderId*

The order ID provided by the customer when creating the order

Type
string
Required

Responses

Order history summary retrieved successfully

application/json
JSON
{
"orderId": "0198178f-a957-7684-b650-eb987183f8e5",
"customerOrderId": "LimitSell",
"orderStatusType": "Filled",
"currencyPair": "ETHBTC",
"averagePrice": "0.03",
"originalPrice": "0.03",
"remainingQuantity": "0",
"originalQuantity": "0.033333",
"total": "0.00099999",
"totalExecutedQuantity": "0.033333",
"totalFee": "0.000000799992",
"feeCurrency": "BTC",
"orderSide": "sell",
"orderType": "post-only limit",
"failedReason": "",
"orderUpdatedAt": "2025-07-17T08:53:00.620Z",
"orderCreatedAt": "2025-07-17T08:45:47.735Z",
"timeInForce": "GTC"
}

Playground

Authorization
Variables
Key
Value

Samples